Package com.microblink.blinkid.uisettings

# Class LegacyDocumentVerificationUISettings

java.lang.Object
com.microblink.blinkid.uisettings.UISettings<BlinkIdOverlayController>
com.microblink.blinkid.uisettings.BaseBlinkIdUiSettings
com.microblink.blinkid.uisettings.LegacyDocumentVerificationUISettings

All Implemented Interfaces:
  `BackSideScanningTimeoutUIOptions`, `BeepSoundUIOptions`, `CurrentImageListenerUIOptions`, `DebugImageListenerUIOptions`, `DocumentDataMatchUIOptions`, `DocumentNotSupportedDialogUIOptions`, `HighResSuccessFrameCaptureUIOptions`, `MrzDetectionUIOptions`, `OcrResultDisplayUIOptions`, `ScanUIEventListenerUIOptions`, `SplashScreenUIOptions`, `StringsUIOptions<LegacyDocumentVerificationOverlayStrings>`, `StyleUIOptions`

@Deprecated public class LegacyDocumentVerificationUISettings extends BaseBlinkIdUiSettings implements StyleUIOptions, StringsUIOptions<LegacyDocumentVerificationOverlayStrings>
Deprecated.

- ## Field Summary

  ### Fields inherited from interface com.microblink.blinkid.uisettings.options.BackSideScanningTimeoutUIOptions

  `TIMEOUT_INFINITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LegacyDocumentVerificationUISettings(android.content.Intent intent)`
  Deprecated.
  `LegacyDocumentVerificationUISettings(RecognizerBundle recognizerBundle)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BlinkIdOverlayView`
  `createOverlayView()`
  Deprecated.
  `Class<?>`
  `getTargetActivity()`
  Deprecated.
  Returns target activity.
  `protected boolean`
  `isLockedToPortrait()`
  Deprecated.
  `void`
  `setOverlayViewStyle(int styleResourceID)`
  Deprecated.
  Provide your own style to replace default icons and colors.
  `void`
  `setStrings(LegacyDocumentVerificationOverlayStrings strings)`
  Deprecated.
  Sets strings that will be used in the UI.

  ### Methods inherited from class com.microblink.blinkid.uisettings.BaseBlinkIdUiSettings

  `createOverlayController, enableHighResSuccessFrameCapture, getShowTooltipTimeIntervalMs, saveToIntent, setBackSideScanningTimeoutMs, setBeepSoundResourceID, setCurrentImageListener, setDebugImageListener, setDocumentDataMatchRequired, setOcrResultDisplayMode, setScanUIEventListener, setShowMrzDetection, setShowNotSupportedDialog, setShowTooltipTimeIntervalMs, setSplashScreenLayoutResourceID`

  ### Methods inherited from class com.microblink.blinkid.uisettings.UISettings

  `getActivityTheme, getFilterTouchesWhenObscured, getUsingFlagSecure, setActivityTheme, setCameraSettings, setFilterTouchesWhenObscured, setUsingFlagSecure`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LegacyDocumentVerificationUISettings

    public LegacyDocumentVerificationUISettings(@Nullable RecognizerBundle recognizerBundle)
    Deprecated.

  - ### LegacyDocumentVerificationUISettings

    public LegacyDocumentVerificationUISettings(@NonNull android.content.Intent intent)
    Deprecated.

- ## Method Details

  - ### isLockedToPortrait

    protected boolean isLockedToPortrait()
    Deprecated.
    Specified by:
      `isLockedToPortrait` in class `BaseBlinkIdUiSettings`

  - ### setOverlayViewStyle

    public void setOverlayViewStyle(@StyleRes int styleResourceID)
    Deprecated.
    Provide your own style to replace default icons and colors. Supports attributes from R.styleable.BlinkIdScanBoxOverlay
    Specified by:
      `setOverlayViewStyle` in interface `StyleUIOptions`
    Parameters:
      `styleResourceID` - your style

  - ### setStrings

    public void setStrings(@NonNull LegacyDocumentVerificationOverlayStrings strings)
    Deprecated.
    Sets strings that will be used in the UI.
    Specified by:
      `setStrings` in interface `StringsUIOptions<LegacyDocumentVerificationOverlayStrings>`
    Parameters:
      `strings` - strings that will be used

  - ### getTargetActivity

    @NonNull public Class<?> getTargetActivity()
    Deprecated.
    Description copied from class: `UISettings`
    Returns target activity. Concrete settings can be used only with the corresponding activity. This method is public for convenience when you are not able to use `ActivityRunner`. DO NOT USE THIS METHOD UNLESS YOU KNOW WHAT YOU ARE DOING. Improper usage will crash your app.
    Specified by:
      `getTargetActivity` in class `UISettings<BlinkIdOverlayController>`
    Returns:
      target activity.

  - ### createOverlayView

    @NonNull protected BlinkIdOverlayView createOverlayView()
    Deprecated.
    Specified by:
      `createOverlayView` in class `BaseBlinkIdUiSettings`